package com.pj.tb_order;

import java.util.List;

import com.pj.current.mybatis.DataScope;
import com.pj.tb_order.vo.ConfirmVo;
import org.apache.ibatis.annotations.Mapper;

import com.pj.utils.so.*;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.springframework.stereotype.Repository;

/**
 * Mapper: tb_order -- 订单表
 * @author loovi
 */

@Mapper
@Repository
public interface TbOrderMapper extends BaseMapper <TbOrder> {



	/**
	 * 查集合 - 根据条件（参数为空时代表忽略指定条件）
	 * @param so 参数集合
	 * @return 数据列表
	 */
	List<TbOrder> getList(SoMap so);

	ConfirmVo getConfirmStatus(Long orderId);

	List<TbOrder> getOnSaleList(SoMap so);

    double sumUpPrice(Long htTradeSettlementId);
}
